%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotEigenvalues.m
%
% Description: Generates a plot of the evolution of the eigenvalues of
%              the Hessian during identification.
%
% Inputs: Saved estimates.
%
% Outputs: Eigenvalue evolution plot.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2004-09-06.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Prepare downsampling
%

SamplingInstances_DownSampled=SamplingInstances(downSampling:downSampling:N);

%
% Sort eigenvalues
%

for i=1:size(SamplingInstances_DownSampled,2)
   eig_R_save(:,i)=sort(eig_R_save(:,i));
end


figure

%
% Plot
%

semilogy(SamplingInstances_DownSampled',eig_R_save(:,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('eigenvalues of the Hessian');
grid