%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotModelOutput.m
%
% Description: Plots the estimated model signals, 
%              together with the inputs.
%
% Inputs: Input signals and the simulated output signal
%         , using the parameters at the end of the run.
%
% Outputs: Model plots.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure

%
% Get dimension
%

numberOfOutputs=size(y_ms,1);
numberOfInputs=size(u,1);

%
% Plot
%

for i=1:numberOfOutputs
   subplot(numberOfOutputs+numberOfInputs,1,i)
   plot(SamplingInstances',y_ms(i,1:N)');
   xlabel('time [s]')
   ytext=['y_m(' num2str(i) ')'];
   ylabel(ytext);
end

for i=1:numberOfInputs
   subplot(numberOfOutputs+numberOfInputs,1,i+numberOfOutputs)
   plot(SamplingInstances',u(1,1:N)');
   xlabel('time [s]')
   ytext=['u(' num2str(i) ')'];
   ylabel(ytext);
end

