%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: SetupInit.m
%
% Description: Script that sets up all parameters required 
%              to run the initialization algorithm Init.
%
% Inputs: As written into script. 
%
% Outputs: Parameters required by the initialization algorithm.
%
% Author and copyright: Linda Brus
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2005-05-04.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%
%  State initial value
%
nx=2;
x_m_0=[y(1);0*ones(nx-1,1)];

%
% Remaining initial values
%

y_m_0=[x_m_0(1)];
scaleFactorP=1e0;

R1_x=1e2;       % Scaling factor for state disturbance
R1_theta=0;     % Scaling factor for parameter vector disturbance
R2=1e1;         % Scaling factor for measurement noise

%
% Parameters
%

downSampling=1; % The downsampling factor used when data from the run is saved
scalingTs=2;    % The scaling factor with which the sampling period is multiplied during identification

